--
-- ### Procedure exception checks
--

@
create procedure myexcep ( resultinfo out string(30) ) return int 
begin 

   insert into supplier values ( 1001, 'xxx' );
   
   return 0;

exception when core_op
then
    :resultinfo = :excep_info;
    return 99;
exception when invalid_obj
then
    :resultinfo = :excep_info;
    return 11;
exception when any
then
    :resultinfo = :excep_info;
    return 13;
end;
@


set x = 'XXX';
:r = call myexcep(:x);
print :r;
print :x;



drop procedure myexcep;

